from terminaltexteffects.effects import Highlight, Slide, Wipe

text = ("EXAMPLE" * 10 + "\n") * 10

for pos, effect_class in enumerate((Wipe, Highlight, Slide)):
    effect = effect_class(text)
    effect.terminal_config.reuse_canvas = bool(pos)
    effect.terminal_config.no_eol = True
    with effect.terminal_output() as terminal:
        for frame in effect:
            terminal.print(frame)
